
public class SyntaxException extends Exception {

	protected TokenFactory.Token token;

	SyntaxException(TokenFactory.Token token, String msg) {
		super(msg);
		this.token = token;
	}
	
	public String getMessage() {
		return super.getMessage() + " at line: " + token.getLineno() + " near: " + token.getSpelling();
	}

}
