
public class LexicalException extends Exception {

	protected int lineno;
	
	LexicalException(String msg, int lineno) {
		super(msg);
		this.lineno = lineno;
	}
	
	public String getMessage() {
		return super.getMessage() + " at line: " + lineno;
	}

}
